Bug 974673 - plugin page should disable diff viewing when no plugins installed
plugin page should disable diff viewing when no plugins installed
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Mike Burns
:
Depends On:
Blocks: ovirt-node-3.0 1006844
  Show dependency treegraph
 
Reported: 2013-06-14 15:15 EDT by Mike Burns
Modified: 2016-04-27 01:29 EDT (History)
11 users (show)

See Also:
Fixed In Version: ovrt-node-3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 05:48:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15732 None None None Never

  None (edit)
Description Mike Burns 2013-06-14 15:15:17 EDT
Description of problem:
When navigating to the plugin page, there are 3 active buttons for viewing diffs.  They are active regardless of whether there are plugins installed or not.

Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
always

Steps to Reproduce:
1.install base iso image
2.navigate to the plugin page
3.select one of the diff view buttons

Actual results:
crash 

Expected results:
One of a few things can be done:

1.  Disable the buttons if there are no plugins installed
2.  Don't make display the plugin page available or visible unless there are plugins
3.  Add high level logic to the plugin page to show something like: "There are no plugins currently installed" and that's it
4.  Catch the error and handle it

Preference would be for #1 #2 or #3, but rather indifferent to which one.

Additional info:
Comment 1 Fabian Deutsch 2013-08-26 05:45:38 EDT
The fix for this patch has been merged and is present in the released ovirt-node-3.0.0.

Note You need to log in before you can comment on or make changes to this bug.